function DATAinsert = cellMakerMPBEL(IDcentralina,DTcatena,NodeNum,cMPBEL,contMPBEL,...
    ListaDate,ARRAYdate_MPBEL,DatiMultiBase,NumBasi,ErrMultiPointExtensometer)

l = ListaDate;
DATAinsert = cell(l,11);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_MPBEL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_MPBEL(ii),'HH:MM:SS');
    if NumBasi == 1
        DATAinsert{ii,6} = DatiMultiBase(ii,cMPBEL);
        DATAinsert{ii,7} = ErrMultiPointExtensometer(ii,contMPBEL);
    elseif NumBasi == 2
           DATAinsert{ii,6} = DatiMultiBase(ii,cMPBEL);
           DATAinsert{ii,7} = DatiMultiBase(ii,cMPBEL+1);
           DATAinsert{ii,8} = ErrMultiPointExtensometer(ii,contMPBEL);
    elseif NumBasi == 3
           DATAinsert{ii,6} = DatiMultiBase(ii,cMPBEL);
           DATAinsert{ii,7} = DatiMultiBase(ii,cMPBEL+1);
           DATAinsert{ii,8} = DatiMultiBase(ii,cMPBEL+2);
           DATAinsert{ii,9} = ErrMultiPointExtensometer(ii,contMPBEL);
    elseif NumBasi == 4
           DATAinsert{ii,6} = DatiMultiBase(ii,cMPBEL);
           DATAinsert{ii,7} = DatiMultiBase(ii,cMPBEL+1);
           DATAinsert{ii,8} = DatiMultiBase(ii,cMPBEL+2);
           DATAinsert{ii,9} = DatiMultiBase(ii,cMPBEL+3);
           DATAinsert{ii,10} = ErrMultiPointExtensometer(ii,contMPBEL);
    elseif NumBasi == 5
           DATAinsert{ii,6} = DatiMultiBase(ii,cMPBEL);
           DATAinsert{ii,7} = DatiMultiBase(ii,cMPBEL+1);
           DATAinsert{ii,8} = DatiMultiBase(ii,cMPBEL+2);
           DATAinsert{ii,9} = DatiMultiBase(ii,cMPBEL+3);
           DATAinsert{ii,10} = DatiMultiBase(ii,cMPBEL+4);
           DATAinsert{ii,11} = ErrMultiPointExtensometer(ii,contMPBEL);
    end
end

end
